View Issue Details

IDProjectCategoryView StatusLast Update
0007586Multi Theft Auto : San AndreasClientpublic2013-05-08 12:14
ReporterTreNAssigned Toccw 
PrioritynormalSeverityminorReproducibilityalways
Status resolvedResolutionfixed 
Product Version 
Target Version1.3.2Fixed in Version1.3.2 
Summary0007586: Replaced textures are loading incorrectly
Description

Textures which were replaced with engine functions are loading incorrectly.

Till r5239 it worked as it should: http://i.imgur.com/TMeawPt.jpg

But from r5258 and till latest available nightly (r5306) textures can't be loaded properly:

http://i.imgur.com/8evIagH.jpg

Steps To Reproduce
  1. Find a texture
  2. Replace it with engine functions
Additional Information

Might be something in these commits:

https://code.google.com/p/mtasa-blue/source/detail?r=5245

https://code.google.com/p/mtasa-blue/source/detail?r=5253

TagsNo tags attached.

Activities

arranTuna

2013-05-01 11:58

manager   ~~0018447

Last edited: 2013-05-01 15:42

Confirmed, this is a new bug.

Actually no, there's nothing wrong with MTA.

It's when engineLoadTXD was being used incorrectly, as there were debug outputs from that leviathan mod, if you're playing on CIT or copied the leviathan mod from there. It was doing "engineLoadTXD("raindanc.txd", 563)" which was wrong and now in the more recent version it won't load the TXD if arg2 is bad.

ccw

2013-05-02 07:49

administrator   ~~0018461

Fixed in http://code.google.com/p/mtasa-blue/source/detail?r=5347

TreN

2013-05-02 07:54

viewer   ~~0018463

Yes, I experienced this issue on CIT and some other server (there were grey skins and weapons).

Thanks for clearing the situation.

Also thanks to ccw for changes in engineLoadTXD (https://code.google.com/p/mtasa-blue/source/detail?r=5347)

This issue may be closed/marked as resolved.

Issue History

Date Modified Username Field Change